summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger2011-09-05 20:42:35 +0200
committer Robby Workman2011-09-05 20:42:35 +0200
commit05bc19a05fa55e1f76965ee1257d920cc1b4a85b (patch)
tree39bdc4f8541eb320b26c396753229e298898aab7
parent2f5cc7ca8d0675deb4139f16a63eef97e9d25030 (diff)
downloadslackbuilds-05bc19a05fa55e1f76965ee1257d920cc1b4a85b.tar.gz
network/mod_perl: Updated for version 2.0.5.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/mod_perl/README2
-rw-r--r--network/mod_perl/doinst.sh8
-rw-r--r--network/mod_perl/mod_perl.SlackBuild40
-rw-r--r--network/mod_perl/mod_perl.info10
4 files changed, 25 insertions, 35 deletions
diff --git a/network/mod_perl/README b/network/mod_perl/README
index 4c32466ad2..6491b07c58 100644
--- a/network/mod_perl/README
+++ b/network/mod_perl/README
@@ -2,7 +2,7 @@ Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
-API. The end result is a quicker CGI script turnaround process, since
+API. The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.
To tell Apache to load it, you'll have to put the following line
diff --git a/network/mod_perl/doinst.sh b/network/mod_perl/doinst.sh
index 69b0b327b2..3fafdd7c63 100644
--- a/network/mod_perl/doinst.sh
+++ b/network/mod_perl/doinst.sh
@@ -1,6 +1,6 @@
-if [ ! -r etc/httpd/mod_perl.conf ]; then
- cat etc/httpd/mod_perl.conf.example > etc/httpd/mod_perl.conf
-elif [ "$(cat etc/httpd/mod_perl.conf 2> /dev/null)" = "" ]; then
- cat etc/httpd/mod_perl.conf.example > etc/httpd/mod_perl.conf
+if [ ! -r etc/httpd/extra/mod_perl.conf ]; then
+ cat etc/httpd/extra/mod_perl.conf.example > etc/httpd/extra/mod_perl.conf
+elif [ "$(cat etc/httpd/extra/mod_perl.conf 2> /dev/null)" = "" ]; then
+ cat etc/httpd/extra/mod_perl.conf.example > etc/httpd/extra/mod_perl.conf
fi
diff --git a/network/mod_perl/mod_perl.SlackBuild b/network/mod_perl/mod_perl.SlackBuild
index a0892bf752..33249f80e2 100644
--- a/network/mod_perl/mod_perl.SlackBuild
+++ b/network/mod_perl/mod_perl.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mod_perl
-# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007-2011 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mod_perl
-VERSION=2.0.4
-BUILD=${BUILD:-3}
+VERSION=2.0.5
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -49,7 +47,6 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
@@ -64,7 +61,11 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-perl Makefile.PL MP_APXS=/usr/sbin/apxs INSTALLDIRS=vendor
+perl \
+ Makefile.PL \
+ MP_APXS=/usr/sbin/apxs \
+ INSTALLDIRS=vendor
+
make
make install DESTDIR=$PKG
@@ -72,29 +73,18 @@ mkdir -p $PKG/etc/httpd/extra
sed "s%@baselibdir@%lib${LIBDIRSUFFIX}%g" $CWD/mod_perl.conf > \
$PKG/etc/httpd/extra/mod_perl.conf.example
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changes INSTALL LICENSE README* RELEASE STATUS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mv $PKG/usr/share/man $PKG/usr/man
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
-rm -rf $PKG/usr/share
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
- # Remove empty directory
- eval $(perl '-V:archlib')
- eval $(perl '-V:vendorlib')
- rmdir --parents $PKG/$archlib $PKG/$vendorlib 2> /dev/null || true
-)
-
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/network/mod_perl/mod_perl.info b/network/mod_perl/mod_perl.info
index ea34d36ed5..dfb184d5d5 100644
--- a/network/mod_perl/mod_perl.info
+++ b/network/mod_perl/mod_perl.info
@@ -1,10 +1,10 @@
PRGNAM="mod_perl"
-VERSION="2.0.4"
+VERSION="2.0.5"
HOMEPAGE="http://perl.apache.org/"
-DOWNLOAD="http://perl.apache.org/dist/mod_perl-2.0.4.tar.gz"
-MD5SUM="1a05625ae6843085f985f5da8214502a"
+DOWNLOAD="http://perl.apache.org/dist/mod_perl-2.0.5.tar.gz"
+MD5SUM="03d01d135a122bd8cebd0cd5b185d674"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
APPROVED="rworkman"